#import "appdelegate.h"
#import "teapot.h"

@implementation appdelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	NSLog(@"RSF");
	NSRect d=[window frame];
	NSLog(@"Re-shape %f %f",d.size.width,d.size.height);
#if 1
	// embed within the window created in Interface Builder
	NSRect frame = NSMakeRect(0, 0, (int)d.size.width,(int)d.size.height);
	teapot *glView = [[teapot alloc] initWithFrame:frame];
	glView.window=window;
	[glView setup];
	[[window contentView] addSubview:glView];
#else
	// embed within a new window
	NSRect frame1 = NSMakeRect(60, 40, 640, 480);
	window1  = [[NSWindow alloc] initWithContentRect:frame1
										   styleMask:NSTitledWindowMask|
				NSClosableWindowMask|
				NSMiniaturizableWindowMask|
				NSResizableWindowMask
											 backing:NSBackingStoreBuffered
											   defer:NO];
	[window1 setBackgroundColor:[NSColor blueColor]];
	[window1 makeKeyAndOrderFront:NSApp];
	teapot *glView = [[teapot alloc] initWithFrame:frame1];
	glView.window=window1;
	[glView prepare];
	[[window1 contentView] addSubview:glView];
	//[window1 setAcceptsMouseMovedEvents:YES];
#endif	
}


@end





